LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XDirectInvocation Interface Referencepublished

provides access to an object's methods and properties. More...

`import"XDirectInvocation.idl";`

Inheritance diagram for XDirectInvocation:

## Public Member Functions
any | directInvoke ([in] string aName, [in] sequence< any > aParams) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| provides access to methods and properties exposed by an object. More...
boolean | hasMember ([in] string aName)
| returns `TRUE` if the method or property with the specified name exists, else `FALSE`. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to an object's methods and properties.

## Member Function Documentation

## ◆ directInvoke()

any directInvoke | ( | [in] string | aName,
|  | [in] sequence< any > | aParams
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::script::CannotConvertException,
|  | com::sun::star::reflection::InvocationTargetException
| ) |  |

provides access to methods and properties exposed by an object.

Parameters

  aName | the method to invoke
  aParams | all parameters, out parameters are not supported

## ◆ hasMember()

boolean hasMember | ( | [in] string | aName | ) |

returns `TRUE` if the method or property with the specified name exists, else `FALSE`.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XDirectInvocation.idl